summaryrefslogtreecommitdiffstats
path: root/src.etc/init.d/mountdevsubfs
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-06-04 23:08:41 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-06-04 23:08:41 (EDT)
commit9de16d22b0ac3cbb74793faa913db889d8151ee5 (patch)
tree0f6ed6fe2701368c036c0da9e72be362963d68b6 /src.etc/init.d/mountdevsubfs
parent79d474a5fdc0ea8b9e05f5b68567dbbe9086e4ca (diff)
parentb98d2d2ad1e341a6493fcd5531d605e8427665ca (diff)
Merge branch 'feature/init-system-improvements'.
Diffstat (limited to 'src.etc/init.d/mountdevsubfs')
-rwxr-xr-xsrc.etc/init.d/mountdevsubfs36
1 files changed, 8 insertions, 28 deletions
diff --git a/src.etc/init.d/mountdevsubfs b/src.etc/init.d/mountdevsubfs
index 5ef7235..03c13e0 100755
--- a/src.etc/init.d/mountdevsubfs
+++ b/src.etc/init.d/mountdevsubfs
@@ -1,41 +1,21 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
start()
{
- printf 'Mounting device file systems... '
-
+ log 'Mounting device file systems'
[ -d /dev/pts ] || mkdir -m 0755 /dev/pts
- if ! mount | grep -Fq ' /dev/pts '; then
- mount -t devpts -o noexec,nosuid,gid=5,mode=0620 devpts /dev/pts
+ if ! [ -e /dev/pts/ptmx ]; then
+ mount -t devpts -o noexec,nosuid,gid=5,mode=0620 \
+ devpts /dev/pts || return ${?}
fi
-
ln -sf /run/shm /dev/shm
-
- printf 'done.\n'
}
stop()
{
- printf 'Unmounting device file systems... '
-
- if mount | grep -Fq ' /dev/pts '; then
- umount /dev/pts
+ log 'Unmounting device file systems'
+ if [ -e /dev/pts/ptmx ]; then
+ umount /dev/pts || return ${?}
fi
-
rm -f /dev/shm
-
- printf 'done.\n'
}
-
-case "${1}" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- *)
- printf 'Usage: %s {start|stop}\n' "${0}" >&2
- exit 1
- ;;
-esac